<?php

namespace Teknisa\FIS\Controllers;

use Zeedhi\Framework\DataSource\FilterCriteria;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Response\Message;
use Zeedhi\Framework\DTO\Response\Error;
use Zeedhi\Framework\DTO\Row;
use Zeedhi\Framework\DataSource\DataSet;

class Fis01000ClassificacaoFiscalProdutoController extends \Teknisa\FIS\Controllers\TeknisaCrud {

    protected $dataSourceName = '';
    protected $dataSourceNameToSave = '';
    protected $parameterBagColumns = array();
    protected $fis01000classificacaofiscalprodutoservice;

    public function __construct($crudService, $parameterBag,$fis01000classificacaofiscalprodutoservice) {
        parent::__construct($crudService, $parameterBag);
        $this->fis01000classificacaofiscalprodutoservice = $fis01000classificacaofiscalprodutoservice;
    }

    public function findCest(DTO\Request\Filter $request, DTO\Response $response) {
        $this->dataSourceName = 'codespsubtri_segmercabens';
        $this->parameterBagColumns = array("");
        parent::find($request,$response);
    }

    public function findProduto(DTO\Request\Filter $request, DTO\Response $response) {
        $this->dataSourceName = 'produto_clasfiscal_codespsubtri';
        parent::find($request,$response);
    }

    public function findProdutoNivel(DTO\Request\Filter $request, DTO\Response $response) {
        $this->dataSourceName = 'produto_nivel';
        parent::find($request,$response);
    }

    public function saveProduto(DTO\Request $request, DTO\Response $response) {
        $this->dataSourceName = 'produto_clasfiscal_codespsubtri';
        $this->dataSourceNameToSave = 'produto';
        parent::save($request,$response);
    }


    public function cadastramentoaAutomatico(DTO\Request $request, DTO\Response $response) {
        $this->parameterBagColumns = array("P_NIVEL","P_PRODINI","P_PRODFIN");
        $this->fis01000classificacaofiscalprodutoservice->cadastramentoAutomatico($request->getRow(), $this->parameterBagColumns);
    }

}